<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads.
 *
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2023 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

namespace JchOptimize\Controller;

use _JchOptimizeVendor\Joomla\Controller\AbstractController;
use _JchOptimizeVendor\Joomla\Input\Input;
use JchOptimize\Model\Cache;

class GetCacheInfo extends AbstractController
{
    private Cache $cacheModel;

    public function __construct(Cache $cacheModel, ?Input $input = null)
    {
        $this->cacheModel = $cacheModel;
        parent::__construct($input);
    }

    public function execute()
    {
        [$size, $numFiles] = $this->cacheModel->getCacheSize();
        $body = \json_encode(['size' => $size, 'numFiles' => $numFiles]);
        echo $body;

        exit;
    }
}
