<?php

/**
 * JCH Optimize - Performs several front-end optimizations for fast downloads.
 *
 * @author    Samuel Marshall <samuel@jch-optimize.net>
 * @copyright Copyright (c) 2022 Samuel Marshall / JCH Optimize
 * @license   GNU/GPLv3, or later. See LICENSE file
 *
 * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
 */

namespace JchOptimize\Controller;

use JchOptimize\Model\ReCache as ReCacheModel;

class ReCache
{
    private ReCacheModel $reCacheModel;

    public function __construct(ReCacheModel $reCacheModel)
    {
        $this->reCacheModel = $reCacheModel;
    }

    public function execute()
    {
        $this->reCacheModel->reCache('options-general.php?page=jch_optimize');
    }
}
