@php

    /**
     * JCH Optimize - Performs several front-end optimizations for fast downloads
     *
     * @package   jchoptimize/worpress-platform
     * @author    Samuel Marshall <samuel@jch-optimize.net>
     * @copyright Copyright (c) 2022 Samuel Marshall / JCH Optimize
     * @license   GNU/GPLv3, or later. See LICENSE file
     *
     * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
     */

    defined( '_JCH_EXEC' ) or die( 'Restricted Access' );

use function _JchOptimizeVendor\e;

@endphp

@extends('template')

@section('browse-filters')
    {{-- Filters above the table. --}}
@stop

@section('browse-table-header')
    {{-- Table header. Column headers and optional filters displayed above the column headers. --}}
@stop

@section('browse-norecords')
    {{-- Table body shown when no records are present. --}}
    <div class="alert alert-light ">
        <span class="fa fa-info-circle"></span>
        {{ __( 'There are no records currently available for viewing.' ) }}
    </div>
@stop

@section('browse-table-body-withrecords')
    {{-- Table body shown when records are present. --}}
    @php $i = 0; @endphp
    @foreach($items as $row)
        <tr>
            {{-- You need to implement me! --}}
        </tr>
    @endforeach
@stop

@section('browse-table-footer')
    {{-- Table footer. The default is showing the pagination footer. --}}
    <tr>
        <td colspan="99" class="center">
            {{-- $this->pagination->getListFooter() --}}
        </td>
    </tr>
@stop

@section('browse-hidden-fields')
    {{-- Put your additional hidden fields in this section --}}
@stop

@yield('browse-page-top')

@section('body')

    {{-- Administrator form for browse views --}}
    <form action="options-general.php?page=jch_optimize&tab=pagecache" method="post" name="adminForm" id="adminForm">
        <div id="j-main-container" class="j-main-container">
            {{-- Filters and ordering --}}
            @yield('browse-filters')

            @unless(count($items))

                @yield('browse-norecords')
            @else

                <table class="table table-striped table-hover" id="itemsList">
                    <thead>
                    @yield('browse-table-header')
                    </thead>
                    <tfoot>
                    @yield('browse-table-footer')
                    </tfoot>
                    <tbody>
                    @yield('browse-table-body-withrecords')
                    </tbody>
                </table>

            @endunless

            {{-- Hidden form fields --}}
            <div>
                @section('browse-default-hidden-fields')
                @show
                @yield('browse-hidden-fields')
            </div>
        </div>
    </form>
@stop
