@php

    /**
     * JCH Optimize - Performs several front-end optimizations for fast downloads
     *
     * @package   jchoptimize/wordpress-platform
     * @author    Samuel Marshall <samuel@jch-optimize.net>
     * @copyright Copyright (c) 2022 Samuel Marshall / JCH Optimize
     * @license   GNU/GPLv3, or later. See LICENSE file
     *
     * If LICENSE file missing, see <http://www.gnu.org/licenses/>.
     */

    defined( '_JCH_EXEC' ) or die( 'Restricted Access' );

    $appName = JCH_PRO ? 'JCH Optimize Pro' : 'JCH Optimize';

@endphp

<div class="wrap">
    <h1>@php echo $appName; @endphp Settings</h1>
    <nav class="nav-tab-wrapper">
        <a href="?page=jch_optimize" class="nav-tab @php echo $tab == 'main' ? 'nav-tab-active' : ''; @endphp">
            @php _e( 'Dashboard', 'jch-optimize' ); @endphp
        </a>
        <a href="?page=jch_optimize&tab=optimizeimages"
           class="nav-tab @php echo $tab == 'optimizeimages' ? 'nav-tab-active' : ''; @endphp">
            @php _e( 'Optimize Images', 'jch-optimize' ); @endphp
        </a>
        <a href="?page=jch_optimize&tab=pagecache"
           class="nav-tab @php echo $tab == 'pagecache' ? 'nav-tab-active' : ''; @endphp">
            @php _e('Page Cache', 'jch-optimize' ); @endphp
        </a>
        <a href="?page=jch_optimize&tab=configurations"
           class="nav-tab @php echo $tab == 'configurations' ? 'nav-tab-active' : ''; @endphp">
            @php _e( 'Configurations', 'jch-optimize' ); @endphp
        </a>
        <a href="?page=jch_optimize&tab=help" class="nav-tab @php echo $tab == 'help' ? 'nav-tab-active' : ''; @endphp">
            @php _e( 'Help', 'jch-optimize' ); @endphp
        </a>
    </nav>
    <div class="tab-content pt-5">
        @yield('body')
    </div>
</div>

